<detalle-cliente *ngIf="entradaSeleccionado" [cliente] ="entradaSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header">Entradas a Cocina</div>
  <div class="card-body text-primary">
    <h5 class="card-title">Listado de Productos ingresados a Cocina para los Preparados</h5>
    <div class="my-2 text-left">
      <button   class="btn btn-rounded btn-primary" type="button" [routerLink]="['/entradas/form', 0]">
        Crear Registro
      </button>
          
    </div>
    <div *ngIf="entradas?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped" *ngIf="entradas?.length>0">
      <thead>
        <tr>
          <th>Nro Ticket/Entrada</th>

          <th>descripción</th>
          <th>fecha</th>
          <th>total</th>
          <th>detalle</th>
          <th>Anular</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let entrada of entradas">
          <td>{{entrada.id}}</td>
          <td>{{entrada.descripcion}}</td>
          <td>{{entrada.createAt}}</td>
          <td>{{entrada.total}}</td>
          <td><button class="btn btn-primary btn-sm" type="button"
            [routerLink]="['/entradas', entrada.id]">ver</button></td>
            <td ><button class="btn btn-danger btn-sm" type="button" (click)="delete(entrada)" disabled>Anular</button></td>
        </tr>
      </tbody>
    </table>

    <paginator-ventas-nav *ngIf="paginador" [paginador]="paginador"></paginator-ventas-nav>
  </div>
</div>